org.modeshape.jcr

## Class RepositoryConfiguration.FieldValue

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.FieldValue

- Enclosing class:
    RepositoryConfiguration

      public static final class RepositoryConfiguration.FieldValue
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BINARY_STORAGE_TYPE_CACHE`
    `static String` | `BINARY_STORAGE_TYPE_COMPOSITE`
    `static String` | `BINARY_STORAGE_TYPE_CUSTOM`
    `static String` | `BINARY_STORAGE_TYPE_DATABASE`
    `static String` | `BINARY_STORAGE_TYPE_FILE`
    `static String` | `INDEX_STORAGE_CUSTOM`
    `static String` | `INDEX_STORAGE_FILESYSTEM`
    `static String` | `INDEX_STORAGE_FILESYSTEM_MASTER`
    `static String` | `INDEX_STORAGE_FILESYSTEM_SLAVE`
    `static String` | `INDEX_STORAGE_RAM`
    `static String` | `INDEXING_BACKEND_TYPE_BLACKHOLE`
    `static String` | `INDEXING_BACKEND_TYPE_CUSTOM`
    `static String` | `INDEXING_BACKEND_TYPE_JGROUPS_MASTER`
    `static String` | `INDEXING_BACKEND_TYPE_JGROUPS_SLAVE`
    `static String` | `INDEXING_BACKEND_TYPE_JMS_MASTER`
    `static String` | `INDEXING_BACKEND_TYPE_JMS_SLAVE`
    `static String` | `INDEXING_BACKEND_TYPE_LUCENE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryConfiguration.FieldValue()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INDEX_STORAGE_RAM

          public static final String INDEX_STORAGE_RAM

      See Also:
        Constant Field Values

    - #### INDEX_STORAGE_FILESYSTEM

          public static final String INDEX_STORAGE_FILESYSTEM

      See Also:
        Constant Field Values

    - #### INDEX_STORAGE_FILESYSTEM_MASTER

          public static final String INDEX_STORAGE_FILESYSTEM_MASTER

      See Also:
        Constant Field Values

    - #### INDEX_STORAGE_FILESYSTEM_SLAVE

          public static final String INDEX_STORAGE_FILESYSTEM_SLAVE

      See Also:
        Constant Field Values

    - #### INDEX_STORAGE_CUSTOM

          public static final String INDEX_STORAGE_CUSTOM

      See Also:
        Constant Field Values

    - #### INDEXING_BACKEND_TYPE_LUCENE

          public static final String INDEXING_BACKEND_TYPE_LUCENE

      See Also:
        Constant Field Values

    - #### INDEXING_BACKEND_TYPE_JMS_MASTER

          public static final String INDEXING_BACKEND_TYPE_JMS_MASTER

      See Also:
        Constant Field Values

    - #### INDEXING_BACKEND_TYPE_JMS_SLAVE

          public static final String INDEXING_BACKEND_TYPE_JMS_SLAVE

      See Also:
        Constant Field Values

    - #### INDEXING_BACKEND_TYPE_JGROUPS_MASTER

          public static final String INDEXING_BACKEND_TYPE_JGROUPS_MASTER

      See Also:
        Constant Field Values

    - #### INDEXING_BACKEND_TYPE_JGROUPS_SLAVE

          public static final String INDEXING_BACKEND_TYPE_JGROUPS_SLAVE

      See Also:
        Constant Field Values

    - #### INDEXING_BACKEND_TYPE_BLACKHOLE

          public static final String INDEXING_BACKEND_TYPE_BLACKHOLE

      See Also:
        Constant Field Values

    - #### INDEXING_BACKEND_TYPE_CUSTOM

          public static final String INDEXING_BACKEND_TYPE_CUSTOM

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_FILE

          public static final String BINARY_STORAGE_TYPE_FILE

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_CACHE

          public static final String BINARY_STORAGE_TYPE_CACHE

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_DATABASE

          public static final String BINARY_STORAGE_TYPE_DATABASE

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_COMPOSITE

          public static final String BINARY_STORAGE_TYPE_COMPOSITE

      See Also:
        Constant Field Values

    - #### BINARY_STORAGE_TYPE_CUSTOM

          public static final String BINARY_STORAGE_TYPE_CUSTOM

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### RepositoryConfiguration.FieldValue

          public RepositoryConfiguration.FieldValue()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.